dnl *@--NOTICE--@* Common File Distribution

dnl --- *@-mdw_DECL_ENVIRON-@* ---
dnl
dnl Author:	Mark Wooding
dnl
dnl Synopsis:	mdw_DECL_ENVIRON
dnl
dnl Arguments:	---
dnl
dnl Use:	Searches for a declaration of the global `environ' variable.
dnl		If one is found in one of the `usual' places, DECL_ENVIRON
dnl		is defined as a preprocessor symbol.

AC_DEFUN([mdw_DECL_ENVIRON],
[AC_CACHE_CHECK([for declaration of \`environ'], mdw_cv_environ,
[AC_EGREP_CPP([\<environ\>],
[#include <sys/types.h>
#if HAVE_UNISTD_H
#include <unistd.h>
#endif
#if STDC_HEADERS
#include <stdlib.h>
#include <stddef.h>
#endif], [mdw_cv_environ=yes], [mdw_cv_environ=no])])
if test $mdw_cv_environ = yes; then
  AC_DEFINE([DECL_ENVIRON], [1],
	    [Define if you have the `environ' vector of environment variables.])
fi])

