dnl *@--NOTICE--@* Common File Distribution

dnl --- *@-mdw_DEFINE_PATHS-@*
dnl
dnl Author:	Mark Wooding
dnl
dnl Synopsis:	mdw_DEFINE_PATHS(CODE)
dnl
dnl Arguments:	CODE = shell script code to execute
dnl
dnl Use:	Fixes up various variables so that pathname defines can be
dnl		defined.  Within CODE, you may use the following macros:
dnl
dnl		mdw_PROG(NAME)		Transformed program name
dnl
dnl		mdw_PATH(PATH)		Expanded path (may contain variables)
dnl
dnl		mdw_DEFINE_PROG(SYMBOL, PROG)
dnl					Define a symbol as a transformed
dnl					program name.
dnl
dnl		mdw_DEFINE_PATH(SYMBOL, NAME)
dnl					Define a symbol as an expanded path

AC_DEFUN([mdw_DEFINE_PATHS],
[mdw_prefix=$prefix mdw_exec_prefix=$exec_prefix
mdw_transform=`echo "$program_transform_name"|sed 's,\\\\\\\\,\\\\,g; s,\\$\\$,$,g'`
test "$prefix" = "NONE" && prefix=$ac_default_prefix
test "$exec_prefix" = "NONE" && exec_prefix=$prefix
$1
prefix=$mdw_prefix exec_prefix=$mdw_exec_prefix])

AC_DEFUN([mdw_PROG], [`echo "$1"|sed "$mdw_transform"`])
AC_DEFUN([mdw_PATH], [dnl
`t="$1"; dnl
while :; do dnl
case "$t" in dnl
*\\$[]*) t=\`eval echo "$t"\`;; dnl
*) break;; dnl
esac; done; dnl
echo "$t"`])
AC_DEFUN([mdw_DEFINE_PROG],
	 [AC_DEFINE_UNQUOTED([$1], ["mdw_PROG([$2])"],
			     [Program name for $2.])])
AC_DEFUN([mdw_DEFINE_PATH], [AC_DEFINE_UNQUOTED([$1], ["mdw_PATH([$2])"],
						[Pathname for $2.])])

